Description

Currently if you like to visualize vector geodata using QGIS, you add them as vector layer to see if everything looks fine. A usual next step
is to add a basemap to check the projection or get an idea about the data distribution. A common small supsrise esp. for beginners is that
the last added map appears on top of the layer stack. For a raster basemap this mean, that all existing layers get hidden by default and
the user has to find out what happened :(

So | suggest that if a raster map get's added, it should be added by default below the last vector layer to avoid this confusion. | know that
with complex layer stacks this can also cause problems, but IMHO this can also happen with the current solution.

History

#1 - 2013-12-29 02:03 PM - Filipe Dias

| suggest this behaviour: if the user has selected a layer, then the newly added layer/raster should be added above or below. That way it would be possible
to control where the new vector/raster is added.

#2 - 2013-12-30 05:59 AM - Giovanni Manghi
- Target version set to Future Release - Nice to have

| personally think that the option that allows to add new layers directly inside the selected groups is more than enough.

#3 - 2013-12-30 06:35 AM - Noone Noone

@Filipe Sounds like a good addition to the request. If a new added layer is selected by default, this should fullfill my request

@Giovanni | agree that it's a nice feature. But please remember that | want to avoid the "WTF? Where are my POls at the map?"-situation for newbies.

IMHO it doesn't help if we say "But it would work fine, if you select the old layer first!" ;)

#4 - 2013-12-30 07:26 AM - Jiirgen Fischer

A polygon layer might fully cover the new layer and cause the same confusion. Maybe setting a default transparency level for new layers would be a better
approach to solve this.

#5 - 2013-12-30 02:37 PM - Filipe Dias

Personally I'd prefer to have complete control on where the layer goes. In really big projects it's annoying to have to go pick up the layer at the top of the
TOC and dragged it all the way down.
#6 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No
